
/* Terminality - a portable terminal handling library
 * Copyright (C) 1999-2001, Emil Mikulic.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* Project:     Terminality
 * File:	elements.h
 * Authors:     Michal Safranek
 * Description: Element functions
 */

/* $Id: elements.h,v 1.3 2001/02/20 11:23:29 darkmoon Exp $ */

#ifndef __ELEMENTS_H__
#define __ELEMENTS_H__

#include "tn.h"
#include "list.h"
#include "register.h"

#ifdef __cplusplus
extern "C" {
#endif
	
/* Change scheme of all elements */
void elements_change_scheme(void);

/* Redraw elements */
void elements_redraw(int cs);

#ifdef __cplusplus
}
#endif

#endif

/*
 * $Log: elements.h,v $
 * Revision 1.3  2001/02/20 11:23:29  darkmoon
 * Changed bool to int to make Win32 happy
 *
 * Revision 1.2  2001/02/18 05:50:18  darkmoon
 * LGPL'd
 *
 * Revision 1.1  2001/01/05 14:29:42  darkmoon
 * (Michal) Initial revision
 *
 */

